# Visualization
TKV3d
Prs3d

# Prs3d Class Reference

The Prs3d package provides the following services
- a presentation object (the context for all
modifications to the display, its presentation will be
displayed in every view of an active viewer)
- an attribute manager governing how objects such
as color, width, and type of line are displayed;
these are generic objects, whereas those in
StdPrs are specific geometries and topologies.
- generic algorithms providing default settings for
objects such as points, curves, surfaces and shapes
- a root object which provides the abstract
framework for the DsgPrs definitions at work in
display of dimensions, relations and trihedra.
.

`#include <Prs3d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | MatchSegment (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z, const Quantity_Length aDistance, const gp_Pnt &p1, const gp_Pnt &p2, Quantity_Length &dist)

## Member Function Documentation

static Standard_EXPORT Standard_Boolean Prs3d::MatchSegment | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z,
|  | const Quantity_Length | aDistance,
|  | const gp_Pnt & | p1,
|  | const gp_Pnt & | p2,
|  | Quantity_Length & | dist
| ) | `[static]`

void Prs3d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Prs3d::operator new | ( | size_t | size | ) | `[inline]`

void* Prs3d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- Prs3d.hxx